Bug 1414642 - Weird stuff happens when trying to reopen a preëdit of ibus-typing-booster with Left, Right, Backspace, or Delete and any modifier key like Shift, Control, Alt, Meta pressed at the same time.
Summary: Weird stuff happens when trying to reopen a preëdit of ibus-typing-booster wi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 06:24 UTC by Mike FABIAN
Modified: 2017-01-25 20:22 UTC (History)
4 users (show)

Fixed In Version: ibus-typing-booster-1.5.19-2.fc25 ibus-typing-booster-1.5.19-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 03:19:56 UTC


Attachments (Terms of Use)
example-that-preedit-is-reopened-incorrectly-when-using-control-arrow-left.ogv (537.05 KB, application/octet-stream)
2017-01-19 06:45 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-01-19 06:24:11 UTC
The problem happens only when the program typed into supports surrounding text.

For example, when typing into gedit (or any other gnome program), this problem occurs.

In gedit (and most other programs), the Left, Right, Backspace, and Delete
keys have special functions when used together with modifier keys.

For example, Control+Left moves the cursor one word to left.
Control+Backspace removes a whole word to the left of the cursor.
Shift+Left marks a region in gedit (gets a blue background) and
that region can then be removed with Delete or Backspace.
Alt+Backspace exchanges the two words left of the cursor. Etc. ...

So in all these cases, reopening the preëdit does not work the
same way as when Left, Right, Backspace, or Delete are used to without
the modifiers. 

As the behaviour of these key combinations is not 
exactly the same in all programs, it is not possible to reopen the
preëdit correctly in all programs. Therefore, better don’t try
to reopen the preëdit at all when Left, Right, Backspace, or Delete
are used with any modifier (except CapsLock which does cause no such
problems).

Comment 1 Mike FABIAN 2017-01-19 06:45:18 UTC
Created attachment 1242380 [details]
example-that-preedit-is-reopened-incorrectly-when-using-control-arrow-left.ogv

Video showing what happens when the preëdit is reopened
using Control+ArrowLeft.

Comment 2 Fedora Update System 2017-01-19 07:18:11 UTC
ibus-typing-booster-1.5.19-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbf2db3cfa

Comment 3 Fedora Update System 2017-01-19 07:31:43 UTC
ibus-typing-booster-1.5.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-803b903185

Comment 4 Fedora Update System 2017-01-19 07:32:09 UTC
ibus-typing-booster-1.5.19-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-524653c0dd

Comment 5 Fedora Update System 2017-01-20 19:20:20 UTC
ibus-typing-booster-1.5.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-803b903185

Comment 6 Fedora Update System 2017-01-20 19:55:17 UTC
ibus-typing-booster-1.5.19-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-524653c0dd

Comment 7 Fedora Update System 2017-01-24 03:19:56 UTC
ibus-typing-booster-1.5.19-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-25 20:22:29 UTC
ibus-typing-booster-1.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.